Bug 268541 - Nautilus crash when open a folder
Nautilus crash when open a folder
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
8
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Alexander Larsson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-30 15:17 EDT by Francesco
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: Nautilus 2.19.90
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-31 05:38:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File generated by Bugzilla when Nautilus crash (9.05 KB, text/plain)
2007-08-30 15:17 EDT, Francesco
no flags Details
Nautilus debug log (2.80 KB, text/plain)
2007-08-30 15:26 EDT, Francesco
no flags Details

  None (edit)
Description Francesco 2007-08-30 15:17:41 EDT
Description of problem:
I'm on Fedora 8 test1 LiveCD.
When I launch Nautilus it start normally from any location, but after if I try
to open a folder it crash and Bugzilla appears with this message:

"The Open Folder application has crashed.  We are collecting information about
the crash to send to the developers in order to fix the problem."

Version-Release number of selected component (if applicable):
Nautilus 2.19.5

How reproducible:
Every time I open a folder in Nautilus

Steps to Reproduce:
1. Start Nautilus
2. Open a folder
3. Crash!

Additional info:
In the error log there is this line:

** ERROR **: file nautilus-navigation-window.c: line 823
(activate_nth_short_list_item): assertion failed: (index < g_list_length
(window->details->short_list_viewers))
aborting...
Comment 1 Francesco 2007-08-30 15:17:41 EDT
Created attachment 181641 [details]
File generated by Bugzilla when Nautilus crash
Comment 2 Francesco 2007-08-30 15:23:23 EDT
(In reply to comment #0)
> When I launch Nautilus it start normally from any location, but after if I try
> to open a folder it crash and Bugzilla appears with this message:

Edit => When I launch Nautilus it start normally from any location, but if I try
to open a folder it crash and Bug Buddy appears with this message: [...]
Comment 3 Francesco 2007-08-30 15:26:51 EDT
Created attachment 181681 [details]
Nautilus debug log
Comment 4 Francesco 2007-08-30 16:28:39 EDT
I found that this bug appens only when Nautilus is in "Browser Window", in other
case it works normally.
Comment 5 Francesco 2007-08-31 05:38:07 EDT
I upgrade to Nautilus 2.19.90 and now it doesn't crash anymore.

Note You need to log in before you can comment on or make changes to this bug.